
// $Id: RemoteAccess.java,v 1.10 2003/01/23 19:47:57 fenyo Exp $

import java.rmi.*;
import java.util.*;

public interface RemoteAccess extends Remote {
    public static String LOOKUPNAME = "gnetwatch";

    public Integer Connect() throws RemoteException;
    public void Disconnect(Integer id) throws RemoteException;

    public Date SetDate(Integer id, Date timestamp) throws RemoteException;
    public Date PrevDate(Integer id) throws RemoteException;
    public Date NextDate(Integer id) throws RemoteException;
    public Date GetDate(Integer id) throws RemoteException;
    public State GetDiff(Integer id) throws RemoteException, InterruptedException;
    public ArrayList GetHistory(String identity, String key, String reference) throws RemoteException;

    public String DumpDatabase() throws RemoteException;

    public void Ping() throws RemoteException;
    public String EchoString(String s) throws RemoteException;
    public Bdd Tst() throws RemoteException;
}

